# IRdTriangleNormalsStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumTripleIndices ([out, retval] RtDWORD *dwNumTripleIndices)
HRESULT | SetNumTripleIndices ([in] RtDWORD dwNumTripleIndices)
## Properties
RtUlong * | i ([in] RtDWORD dwIndex)`[get]`
RtUlong | i ([in] RtDWORD dwIndex)`[set]`
RtUlong * | j ([in] RtDWORD dwIndex)`[get]`
RtUlong | j ([in] RtDWORD dwIndex)`[set]`
RtUlong * | k ([in] RtDWORD dwIndex)`[get]`
RtUlong | k ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdTriangleNormalsStream:

- Specifies index stream to vertex normals data stream (IRdNormalsStream).
- The stream is part of IRdMesh and is stored in Triangle stream group.
- Stream is identified by STREAMID_TRIANGLES_NORMALS id.

## Member Function Documentation

HRESULT IRdTriangleNormalsStream::GetNumTripleIndices | ( | [out, retval] RtDWORD * | dwNumTripleIndices | ) |

Get number of triangles.

Returns:
  dwNumTripleIndices [out, retval] Returns number of triangles found in stream.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdTriangleNormalsStream::SetNumTripleIndices | ( | [in] RtDWORD | dwNumTripleIndices | ) |

Set number of triangles.

Parameters:

  | dwNumTripleIndices | [in] Number of triangles to set the stream to.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtUlong* IRdTriangleNormalsStream::i([in] RtDWORD dwIndex)`[get]`

Get triangle vertex-normal-index of first vertex of i-th triangle. (i).

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Filled with index to vertex-normal stream for vertex (i).

  standard HRESULT processing can be applied to returned value.

RtUlong IRdTriangleNormalsStream::i([in] RtDWORD dwIndex)`[set]`

Set triangle vertex-normal-index of first vertex of i-th triangle. (i).

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Index to vertex-normal stream for vertex (i).

Returns:
  standard HRESULT processing can be applied to returned value.

RtUlong* IRdTriangleNormalsStream::j([in] RtDWORD dwIndex)`[get]`

Get triangle vertex normal index of second vertex of i-th triangle. (j).

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Filled with index to vertex normal stream for vertex (j).

  standard HRESULT processing can be applied to returned value.

RtUlong IRdTriangleNormalsStream::j([in] RtDWORD dwIndex)`[set]`

Set triangle vertex normal index of second vertex of i-th triangle. (j).

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Index to vertex-normal stream for vertex (j).

Returns:
  standard HRESULT processing can be applied to returned value.

RtUlong* IRdTriangleNormalsStream::k([in] RtDWORD dwIndex)`[get]`

Get triangle vertex normal index of third vertex of i-th triangle. (k).

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Filled with index to vertex normal stream for vertex (k).

  standard HRESULT processing can be applied to returned value.

RtUlong IRdTriangleNormalsStream::k([in] RtDWORD dwIndex)`[set]`

Set triangle vertex normal index of third vertex of i-th triangle. (k).

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Index to vertex normal stream for vertex (k).

Returns:
  standard HRESULT processing can be applied to returned value.